3v4l.org

run code in 300+ PHP versions simultaneously
<?php $SAFE_SCRIPTS = '"/path/to/a.php","/path/to/b.php"'; $file = '/path/to/a.php/../something'; if(strpos($SAFE_SCRIPTS,"\"$file\"")===false) echo 'NOT SAFE!!'; else echo 'safe :-)';
Output for 5.6.0 - 5.6.38, 7.0.0 - 7.0.33, 7.1.0 - 7.1.33, 7.2.0 - 7.2.33, 7.3.0 - 7.3.33, 7.4.0 - 7.4.30, 8.0.0 - 8.0.22, 8.1.0 - 8.1.9
NOT SAFE!!

preferences:
50.85 ms | 410 KiB | 5 Q